Name:             joni
Version:          2.1.3
Epoch:            1
Release:          %mkrel 6
Summary:          Java port of Oniguruma regexp library 
Group:            Development/Java
License:          MIT
URL:              http://github.com/jruby/%{name}
Source0:          https://github.com/jruby/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.zip
Patch1:           joni-remove-useless-wagon-dependency.patch

BuildRequires:    java-devel
BuildRequires:    jcodings
BuildRequires:    jpackage-utils
BuildRequires:    junit
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    sonatype-oss-parent

BuildRequires:    objectweb-asm

Requires:         jcodings
Requires:         jpackage-utils
Requires:         objectweb-asm

BuildArch:      noarch


%description
joni is a port of Oniguruma, a regular expressions library,
to java. It is used by jruby.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
%patch1 -p0

# fixes rpmlint warning about wrong-file-end-of-line-encoding
sed -i -e 's|\r||' test/org/joni/test/TestC.java
sed -i -e 's|\r||' test/org/joni/test/TestU.java
sed -i -e 's|\r||' test/org/joni/test/TestA.java

%mvn_file : %{name}

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc MANIFEST.MF

%files javadoc -f .mfiles-javadoc



%changelog
* Sun May 21 2017 neoclust <neoclust> 1:2.1.3-6.mga6
+ Revision: 1103922
- Update requires on objectweb-asm
- Second rebuild of the java stack

* Tue Mar 01 2016 neoclust <neoclust> 1:2.1.3-4.mga6
+ Revision: 981647
- First rebuild of the java stack
- sync package joni with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Feb 07 2015 pterjan <pterjan> 2.1.5-1.mga5
+ Revision: 814031
- Update to 2.1.5, jruby needs > 2.1.3

* Mon Jan 19 2015 daviddavid <daviddavid> 1.1.9-1.mga5
+ Revision: 811464
- Sync with fc21 (update to 1.1.9)
- fix Group

* Fri Oct 24 2014 umeabot <umeabot> 1.1.6-5.mga5
+ Revision: 792880
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.6-3.mga4
+ Revision: 506447
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1.6-2.mga3
+ Revision: 355545
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 25 2012 dmorgan <dmorgan> 1.1.6-1.mga2
+ Revision: 214951
- Clean spec file
- Clean spec file

  + gil <gil>
    - update to 1.1.6
    - imported package joni


* Sat Jun 11 2011 gil <gil> 1.1.3-0.%%mkrel
- initial rpm

